// Copyright (c) 2000 by Aaron Hansen. Use is subject to license terms.

package xl2.odb.io;

import java.io.*;

  /**
  * Exposes the internal byte array and disables close().
  * @author Aaron Hansen
  * @version 1.0.0
  */
public class BAOS extends ByteArrayOutputStream {

  // Constructors
  // ------------

  public BAOS() {super();}
  public BAOS(int i) {super(i);}


  // Public Methods
  // --------------

  public byte[] bytes() {
    return this.buf;
    }

  public void close() throws IOException {}

  }//BAOS
