// Copyright (c) 2000 by Aaron Hansen. Use is subject to license terms.

package xl2.odb.util;

import java.lang.ref.*;

  /**
  * WeakReference whose hashCode equals that of the referent.
  * @author Aaron Hansen
  * @version 1.0.0
  */
public class WeakHashReference extends WeakReference {

  // Protected Fields
  // ----------------

  protected int HashInt = -1;


  // Constructors
  // ------------

    /**
    * Default constructor.
    */
  public WeakHashReference(Object object, ReferenceQueue queue) {
    super(object,queue);
    HashInt = System.identityHashCode(object);
    }


  // Public Methods
  // --------------

  public int hashCode() {
    return HashInt;
    }


  }//WeakHashReference
