// Copyright (c) 2000 by Aaron Hansen. Use is subject to license terms.

package xl2.odb;

  /**
  * A call was made that required an XL2Database to be open when it
  * was not.
  * @author Aaron Hansen
  * @version 1.0.0
  */
public class DatabaseNotOpenException extends XL2Exception {

  // Protected Fields
  // ----------------

  protected XL2Database TheXL2Database = null;


  // Constructors
  // ------------

  public DatabaseNotOpenException(XL2Database db) {
    TheXL2Database = db;
    }


  // Public Methods
  // --------------

  public XL2Database getXL2Database() {
    return TheXL2Database;
    }


  }//DatabaseNotOpenException
