// Copyright (c) 2000 by Aaron Hansen. Use is subject to license terms.

package xl2.odb;

  /**
  * Entry of a FreeList.
  * @author Aaron Hansen
  * @version 1.0.0
  */
class FreeEntry {

  // Public Fields
  // -------------

  public int LengthInt = 0;

  public long OffsetLong = 0;


  // Constructors
  // ------------

  public FreeEntry(long offset, int length) {
    LengthInt = length;
    OffsetLong = offset;
    }


  // Public Methods
  // --------------

    /**
    * Returns the offset of the byte following the entry.
    */
  public long next() {
    return OffsetLong + LengthInt;
    }


  }//class
