// Copyright (c) 2000 by Aaron Hansen. Use is subject to license terms.

package xl2.odb;

import xl2.util.NestedException;

  /**
  * Base exception for this package.  Allows applications to easily trap most
  * XL2 exceptions (excludes xl2.transaction exceptions).
  * @author Aaron Hansen
  * @version 1.0.0
  */
public class XL2Exception extends NestedException {

  // Constructors
  // ------------

  public XL2Exception() {}

  public XL2Exception(String message) {
    super(message);
    }

  public XL2Exception(Exception nested) {
    super(nested);
    }


  }//XL2Exception
