// Copyright (c) 2000 by Aaron Hansen. Use is subject to license terms.

package xl2.transaction;

import xl2.util.NestedException;

  /**
  * All transaction exceptions are of this type.
  * @author Aaron Hansen
  * @version 1.0.0
  */
public class TransactionException extends NestedException {

  // Constructors
  // ------------

  public TransactionException() {}

  public TransactionException(String message) {
    super(message);
    }

  public TransactionException(Exception nested) {
    super(nested);
    }


  }//TransactionException
